package com.cgi.cihr;

import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import com.cgi.cihr.gui.EISColourPane;
import com.cgi.cihr.gui.EISMenus;

/**
 * Main app to run the import GUI.
 * 
 * @author tomas.hansson
 */
public class EISImportApp {
	private static final int FRAME_WIDTH = 600;
	private static final int FRAME_HEIGHT = 400;

	/**
	 * Main.
	 * 
	 * @param args
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		try {
			UIManager.setLookAndFeel(new com.sun.java.swing.plaf.windows.WindowsLookAndFeel());
		} catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		}
				
		EISColourPane cp = new EISColourPane();
		JScrollPane sp = new JScrollPane(cp);
		
		JFrame frame = new JFrame("Simple Menu Example");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setTitle("EIS Import");
		frame.setSize(FRAME_WIDTH, FRAME_HEIGHT);		
		frame.setJMenuBar(new EISMenus(frame, cp));
		frame.add(sp);
		
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
	    int x = (dim.width - FRAME_WIDTH) / 2;
	    int y = (dim.height - FRAME_HEIGHT) / 2;
		
		frame.setLocation(x, y);
		frame.setVisible(true);
	}
}
